/* 
* OpenSpeedMonitor (OSM)
* Copyright 2014 iteratec GmbH
* 
* Licensed under the Apache License, Version 2.0 (the "License"); 
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
* 
* 	http://www.apache.org/licenses/LICENSE-2.0
* 
* Unless required by applicable law or agreed to in writing, software 
* distributed under the License is distributed on an "AS IS" BASIS, 
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
* See the License for the specific language governing permissions and 
* limitations under the License.
*/

package de.iteratec.osm.d3Data

import org.grails.testing.GrailsUnitTest
import spock.lang.Specification

class MultiLineChartSpec extends Specification implements GrailsUnitTest {

    def "MultiLineChart initialisation test" () {
        when: "a new MultiLineChart is created"
        MultiLineChart multiLineChart = new MultiLineChart()

        then: "the theMultiLineChart has been initialised"
        multiLineChart.lines.size() == 0
        multiLineChart.xLabel == MultiLineChart.DEFAULT_X_LABEL
        multiLineChart.yLabel == MultiLineChart.DEFAULT_Y_LABEL
    }

    def "addLine adds line to list of lines"() {
        given: "a line"
        MultiLineChart multiLineChart = new MultiLineChart()
        MultiLineChartLineData line = new MultiLineChartLineData()

        when: "the line is added to the multiLineChart"
        multiLineChart.addLine(line)

        then: "the multiLineChart contains the line"
        multiLineChart.lines.size() == 1
        multiLineChart.lines[0] == line
    }
}
